(deftemplate osoba
(multislot ime) 	;sadrzi ime i prezime
(slot godinaRodjenja)
(slot grad)
(slot zanimanje))

(deffacts fff
(osoba (ime Pera Peric)(godinaRodjenja 1987)(grad KG)(zanimanje pekar))
(osoba (ime Pera Lazic)(godinaRodjenja 1945)(grad KV)(zanimanje pekar))
(osoba (ime Laza Peric)(godinaRodjenja 1948)(grad BG)(zanimanje pekar)))

(defrule pekar
(osoba (zanimanje pekar))
=>
)

(defrule rodjen
(osoba (godinaRodjenja ?g))
(test (and (> ?g 1980)
		   (< ?g 1990)))
=>
)

(defrule osobe
(osoba (ime ?ime1 ?p1)(godinaRodjenja ?god1)(grad ?g1)(zanimanje ?z))
(osoba (ime ?ime1 ?p2 & ~?p1)(godinaRodjenja ?god2)(grad ?g2)(zanimanje ?z))
(osoba (ime ?ime2 ?p1)(godinaRodjenja ?god3)(grad ?g3)(zanimanje ?z))
(test (and (eq ?god3 (+ 3 ?god2))
(neq ?g1 ?g2)
(neq ?g1 ?g3)
(neq ?g2 ?g3)))
		
=>)

(deffunction starost (?gc ?gr)
(return (- ?gc ?gr)))

(defrule penzija
?f <- (osoba (godinaRodjenja ?gr))
(test (> (starost 2011 ?gr) 65))
=>
(retract ?f))		

(defrule grad
?f <- (osoba (ime $?i)(grad nil))
=>
(printout t "U kom gradu \ivi " ?i crlf)
(modify ?f (grad (read))))